

<!-- BEGIN: Subheader -->
<div class="m-subheader ">
	<div class="d-flex align-items-center">
		<div class="mr-auto">
			<h3 class="m-subheader__title m-subheader__title--separator">
				Daftar Tugas Yang Sudah Selesai
			</h3>
			<ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
				<li class="m-nav__separator">
					<i class="flaticon-analytics"></i> Monitoring Tugas
				</li>
			</ul>
		</div>
	</div>
</div>
<!-- END: Subheader -->

<div class="m-content">
	<!--Begin::Main Portlet-->
	<div class="row">
	<div class="col-lg-12">
	<div class="m-portlet m-portlet--tab">
				<div class="m-portlet__head">
					<div class="m-portlet__head-caption">
						<div class="m-portlet__head-title">
							<span class="m-portlet__head-icon m--hide">
								<i class="la la-gear"></i>
							</span>
							<h3 class="m-portlet__head-text">
								Filter
							</h3>
						</div>
					</div>
				</div>
				<div class="m-portlet__body">
				<div class="row">
					<div class="col-lg-6">
		                <div class="form-group m-form__group">
		                    <label class="col-form-label">
		                        <b>Judul</b>
		                    </label>
		                      <input class="form-control" type="text" name="judul" id="judul" value="" placeholder="Silahkan Masukkan Judul Anda">
		                </div>  
					</div>
					
					<div class="col-lg-3">
		                <div class="form-group m-form__group">
		                    <label class="col-form-label">
		                        <b>Tahun</b>
		                    </label>
		                    <select class="form-control m-bootstrap-select m_selectpicker" id="tahun" name="tahun" data-live-search="true"  title="Silahkan Pilih Tahun">
							    <!-- <option>Silahkan Pilih</option>									 -->
								<?php for($i=date('Y')-3;$i<date('Y')+3;$i++){?>
								<option value="<?php echo $i?>"><?php echo $i?></option>
								<?php };?>
							</select>
		                </div>  
					</div>
					<div class="col-lg-3 col-md-3 col-sm-3">
		                <div class="form-group m-form__group">
		                    <label class="col-form-label">
		                        <b>Bulan</b>
		                    </label>
		                    <select class="form-control m-bootstrap-select m_selectpicker" id="bulan" name="bulan" data-live-search="true"  title="Silahkan Pilih Bulan">
							    <?php for($i=1;$i<=12;$i++){?>
	                                    <?php if($i=='01'){$bulan="Januari";}?>
	                                    <?php if($i=='02'){$bulan="Februari";}?>
	                                    <?php if($i=='03'){$bulan="Maret";}?>
	                                    <?php if($i=='04'){$bulan="April";}?>
	                                    <?php if($i=='05'){$bulan="Mei";}?>
	                                    <?php if($i=='06'){$bulan="Juni";}?>
	                                    <?php if($i=='07'){$bulan="Juli";}?>
	                                    <?php if($i=='08'){$bulan="Agustus";}?>
	                                    <?php if($i=='09'){$bulan="September";}?>
	                                    <?php if($i=='10'){$bulan="Oktober";}?>
	                                    <?php if($i=='11'){$bulan="November";}?>
	                                    <?php if($i=='12'){$bulan="Desember";}?>
	                            <option value="<?php echo $i ?>"><?php echo $bulan ?></option><?php };?>
							</select>
		                </div>  
					</div>
					<!-- <div class="col-lg-3">
		                <div class="form-group m-form__group">
		                    <label class="col-form-label">
		                        <b>Status</b>
		                    </label>
		                    <select class="form-control m-bootstrap-select m_selectpicker" id="status" name="status" data-live-search="true"  title="Silahkan Pilih Status">
								<option value="1">Not Checked By TLO</option>
								<option value="2">Checked By TLO</option>
								<option value="3">Approved By Top MGT</option>
								<option value="4">Approved By PIC Primary</option>
								<option value="5">In Process</option>
							</select>
		                </div>  
					</div> -->
					<div class="col-lg-3">
		                <div class="form-group m-form__group">
		                    <label class="col-form-label">
		                        <b>Top Management</b>
		                    </label>
		                    <select class="form-control m-bootstrap-select m_selectpicker" id="agm" name="agm" data-live-search="true"  title="Silahkan Pilih Pic Top MGT">
		                    		<option value="">Silahkan Pilih Top Management</option>
		                    <?php foreach($getpic as $pic){?>
		                    		<option value="<?php echo $pic->Name?>"><?php echo $pic->NamaUser?></option>
		                    <?php }?>
								
							</select>
		                </div>  
					</div>
					<div class="col-lg-3">
		                <div class="form-group m-form__group">
		                    <label class="col-form-label">
		                        <b>Penanggung Jawab Utama</b>
		                    </label>
		                    <select class="form-control m-bootstrap-select m_selectpicker" id="primary" name="primary" data-live-search="true"  title="Silahkan Pilih Pic Primary">
		                    		<option value="">Silahkan Pilih Penanggung Jawab Utama</option>
		                    <?php foreach($getpicprimary as $pic){?>
		                    		<option value="<?php echo $pic->Name?>"><?php echo $pic->NamaUser?></option>
		                    <?php }?>
								
							</select>
		                </div>  
					</div>
					<div class="col-lg-3">
						<div class="form-group m-form__group">
							<label class="col-form-label">
								<b>Kategori</b>
							</label>
							<!-- <div class="col-9"> -->
								<!-- <div class="m-select2 m-select2--air"> -->
								<select class="form-control m-bootstrap-select m_selectpicker" name="kategori" id="kategori_top" title="Silahkan Pilih kategori" required="required">
									<option>Silahkan Pilih kategori</option>
									<option value="A">A = Penting dan Mendesak</option>
									<option value="B">B = Penting tidak mendesak</option>
									<option value="C">C = Tidak mendesak</option>
									<option value="D">D = Tidak Penting Tapi Mendesak</option>
								</select>
							</div>
						</div>
					</div>
	
					<div class="col-lg-12">
						<div class="form-group m-form__group">
							<div class="text-center">
								<button style="width: 100px" class="btn btn-success" onclick="searchFilter()">Cari</button>
							</div>
						</div>
					</div>
				</div>
			</div>
	</div>		
			<!-- </div> -->
		<div class="col-xl-12">
			<!--begin::Portlet-->
				<div class="m-portlet__body">
					<?php if(count($get)==0){?>
					  <script>
					  	 $(document).ready(function () {
					     swal('Belum Ada Tugas Yang Sudah Selesai!!','', 'info');
					 });
					</script>
					<?php }?>
					<?php if(count($get) > 0){ ?>
					<div class="row">
					<div class="loading" style="display: none;text-align:center">
		            	<div class="content"><img src="<?php echo base_url().'assets/img/loading.gif' ?>"/>
		            	</div>	
		            </div>
						<div class="col-lg-12">
						<div id="ajaxready">
							<div class="m-portlet m-portlet--mobile ">
								<div class="m-portlet__head">
									<div class="m-portlet__head-caption">
										<div class="m-portlet__head-title">
											<h3 class="m-portlet__head-text">
												 <i class="flaticon-suitcase"></i>  Ada <?php echo count($get)?> Tugas Yang Sudah Selesai
											</h3>
										</div>
									</div>
								</div>	
								<?php $no=1;foreach($get as $set){?>	
								<div class="list-group">
									<div class="list-group-item">
						            <!-- <a href="javascript:void(0);"> -->
						            <div class="row">
							            <div class="col-lg-10 col-md-10 col-sm-10 col-xs-10">
							            	<!-- <div class="text-left"> -->
							                	<label  style="font-weight: 600;font-size: 13pt"><?php echo $no.'. '.$set->JudulTask;?></label>
							            	<!-- </div> -->
							            </div>
		 								<!-- <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2" style="text-align:right">
						               <?php if($set->TaskGabung1!=NULL){?>
							                <button class="btn btn-default btn-sm" style="font-weight: 600;background:green;color: white">
							                	GABUNGAN
							                </button>
							            <?php }else{}?>
							        	</div> -->
							        </div>
						       			<!--  <?php if($set->TaskGabung1!=NULL){?>
										<b style="color:#000"><strong>Gabungan:</strong><br/>
										<?php foreach($gethdr as $gab1){
											if($set->TaskGabung1==$gab1->TaskID){
												echo "Task 1. ".$gab1->JudulTask;
										}}?><br/>
										<?php foreach($gethdr as $gab2){
											if($set->TaskGabung2==$gab2->TaskID){
												echo "Task 2. ".$gab2->JudulTask;
										}}?></b><br/>
										<?php }?> -->
						                <b style="color:#000"><strong>Penjelasan:</strong><br/>
						                <?php echo $set->Penjelasan;?><br/>
						                <strong>Tujuan:</strong><br/>
						                <?php echo $set->Objektif;?>
						                 <br/>
						                <strong>Departemen Yang Terlibat:</strong><br/>
						               <?php foreach ($getDept as $get): $dept = explode(",", $set->Dept);
										for($i=0; $i<count($dept); $i++){ if($dept[$i] == $get->DeptID){
											echo $get->NamaDept.', ';
										} }
										endforeach; ?><br/>
										<strong>User Group:</strong><br/>
										<?php $a2 = ""; $ct = count($getUsergroup); 
										$i = 0;
										foreach ($getUsergroup as $fet): 
											if($set->TaskID==$fet->TaskID){
											 if($i == 0){
											 	$a2 = $fet->NamaUser;
											 }
											 else
											 {
											 	$a2 = $a2.', '.$fet->NamaUser;
											 }
											 $i++;
											}
										endforeach;
										?>
										<?=$a2; ?><br/>
										<strong>Estimasi Biaya:</strong><br/>
										Rp. <?php echo number_format($set->Biaya,2,',','.');?></b>
						            <!-- </a>     -->
						                <div class="row">
						                	<!-- <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12"> -->
						                    <div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
					                        <label class="font-green" style="font-weight: 500">Mulai : <?php echo date('d-m-Y',strtotime($set->tanggal_mulai))?></label>
						                    </div>
						                    <div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6" >
						                        <label class="font-green" style="float:right;font-weight: 500;">Target Selesai : <?php echo date('d-m-Y',strtotime($set->tanggal_selesai))?></label>
						                    </div>
						                </div>
						                <div class="row text-right">
						                     <div style="color:#2b982b" class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
						                       <!-- <button type="button" class="btn btn-md btn-success" title="Update" data-toggle="modal" data-target="#m_update" onclick="getValue(this.id)" id="<?php echo $set->TaskID ?>">Lihat Sub Tugas</button> -->
						                       <a href="<?php echo site_url('task/detail_task')."/".$set->TaskID; ?>" class="btn btn-success"><i class="fa fa-eye"></i> Lihat Detail</a>
						                    </div>
						                  
						                </div>
						            </div>
						        </div>	
						        <?php $no++; }?>
						        <div class="list-group">
									<div class="list-group-item">
										<?php echo $this->ajax_pagination->create_links();?>
									</div>
								</div>
						    </div>
						</div>
						</div>
						<?php }else{
						echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
						echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'></button>";
						echo "<strong>Belum Ada Tugas Yang Sudah Selesai.</div>";
					} ?>
					</div>

					<!--begin::Section-->
					
					<!--end::Section-->

				</div>
			</div>
			<!--end::Portlet-->
		</div>
	</div>
	<!--End::Main Portlet-->
</div>

<script type="text/javascript">
	$(document).ready(function () {
        $("#tbl_tes").dataTable({
        	"paging":true,
        	"ordering": true,
        });
        $('[data-rel=tooltip]').tooltip();
    });

	function searchFilter(page_num) {
    page_num = page_num?page_num:0;
    var keywords = $('#judul').val();
    var bulan = $("#bulan").val();
    var tahun = $("#tahun").val();
    var status= $("#status").val();
    var agm   = $("#agm").val();
    var primary= $("#primary").val();
    var kategori= $("#kategori_top").val();
    // alert(page_num);
    // var sortBy = $('#sortBy').val();
    $.ajax({
        type: 'POST',
        url: '<?php echo base_url(); ?>Task/ajax_list_komplittask/'+page_num,
        data:
        {
        	'page'	: page_num,
            'keywords' : keywords,
            'bulan' : bulan,
            'tahun' : tahun,
            // 'status': status,
            'agm'	: agm,
            'primary': primary,
            'kategori': kategori,
        },
        beforeSend: function () {
            $('.loading').show();
        },
        success: function (html) {
            $('#ajaxready').html(html);
            $('.loading').fadeOut("slow");
        }
    });
};

</scrip